# -*- coding: utf-8 -*-
from punto import Punto

class Tabla(Punto):

    """Punto de inserccion de datos en el archivo.

    Un punto de insercion indica en que celda del documento se deben insertar
    los datos, que funcion se deben aplicar a los datos antes de escribirlos
    y los parametros para la funcion.

    """

    def __init__(self, celda):
        """Inicializa el punto de insercion.

        Args:
            celda -- Punto de insercion de datos ej: 'B12'

        """
        Punto.__init__(self, celda)
        self.funciones = []

    def agregar_funcion(self, funcion, data):
        """Agrega una funcion de modificacion al punto.

        Args:
            funcion -- Funcion de transformación de los datos.
            data -- Argumentos de la funcion.

        La funcion tiene la forma f(tabla, *varargs)
        """
        self.funciones.append((funcion, data))
